Package csb :: Package statistics :: Package samplers :: Package mc :: Module multichain :: Class AbstractRENSSwapParameterInfo

[frames] | no frames]

# Class AbstractRENSSwapParameterInfo

source code

                   object --+
                            |
    AbstractSwapParameterInfo --+
                                |
              RESwapParameterInfo --+
                                    |
                                   AbstractRENSSwapParameterInfo

Known Subclasses:
  - HMCStepRENSSwapParameterInfo

Holds parameters for a RENS swap.

Nested Classes
| __metaclass__ Metaclass for defining Abstract Base Classes (ABCs).

Instance Methods

__init__(self, sampler1, sampler2, protocol) x.__init__(...) initializes x; see help(type(x)) for signature | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
Inherited from `AbstractSwapParameterInfo`: `__abstractmethods__`

Properties
| protocol Switching protocol determining the time dependence of the switching parameter.
Inherited from `AbstractSwapParameterInfo`: `sampler1`, `sampler2` Inherited from `object`: `__class__`

Method Details

### __init__(self, sampler1, sampler2, protocol)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `sampler1` - First sampler
  - `sampler2` - Second sampler
Overrides: object.__init__
  (inherited documentation)

Property Details

### protocol

Switching protocol determining the time dependence of the switching parameter.

Get Method:
  unreachable.protocol(self) - Switching protocol determining the time dependence of the switching parameter.
Set Method:
  unreachable.protocol(self, value)